// var base_ui_url = "http://10.112.0.236:8088/";
// var base_server_url = "http://10.112.0.236:8089/";
var ISCLIENT = false;

var base_ui_url = getCurrentaddr();
var base_server_url = getserveraddr();
var base_image_server_url = getImageaddr();
var task_server_url = getTaskaddr();


function getCurrentaddr() {
    return "http://" + window.location.host + "/"
}

function getserveraddr() {
    if (base_ui_url.indexOf("file_yanhai.jsxt.jsjtyxt.com") != -1) {
        return "http://server_yanhai.jsxt.jsjtyxt.com/";
    } else if (base_ui_url.indexOf("file_release_yanhai") != -1) {
        return "http://server_release_yanhai.jsxt.jsjtyxt.com/";
    } else if (base_ui_url.indexOf("localhost") != -1) {
        // return "http://server_release_yanhai.jsxt.jsjtyxt.com/"
        return "http://localhost:8089/"
    } else if (base_ui_url.indexOf("200.200.19.126") != -1) {
        return "http://200.200.19.126:8089/"
    } else if (base_ui_url.indexOf("192.168.8.236") != -1) {
        return "http://192.168.8.236:8089/"
    } else {
        return "http://10.112.0.199:8089/"
    }
}

function getExcelServeraddr() {
    if (base_ui_url.indexOf("file_yanhai.jsxt.jsjtyxt.com") != -1) {
        return "http://server_yanhai.jsxt.jsjtyxt.com/";
    } else if (base_ui_url.indexOf("file_release_yanhai") != -1) {
        return "http://server_release_yanhai.jsxt.jsjtyxt.com/";
    } else if (base_ui_url.indexOf("localhost") != -1) {
        // return "http://server_release_yanhai.jsxt.jsjtyxt.com/"
        return "http://localhost:9000/"
    } else if (base_ui_url.indexOf("200.200.19.126") != -1) {
        return "http://200.200.19.126:9000/"
    } else if (base_ui_url.indexOf("192.168.8.236") != -1) {
        return "http://192.168.8.236:9000/"
    } else {
        return "http://10.112.0.199:9000s/"
    }
}

function getImageaddr() {
    if (base_ui_url.indexOf("file_yanhai.jsxt.jsjtyxt.com") != -1) {
        return "http://file_release_yanhai.jsxt.jsjtyxt.com/";
    } else if (base_ui_url.indexOf("file_release_yanhai") != -1) {
        return "http://file_release_yanhai.jsxt.jsjtyxt.com/";
    } else if (base_ui_url.indexOf("localhost") != -1) {
        // return "http://10.112.0.199:7000/"
        return "http://localhost:8081/";
    } else if (base_ui_url.indexOf("192.168.8.236") != -1) {
        return "http://192.168.8.236/"
    } else if (base_ui_url.indexOf("200.200.19.126") != -1) {
        return "http://200.200.19.126:8080/"
    } else {
        return "http://10.112.0.199/"
    }
}

function getTaskaddr() {
    if (base_ui_url.indexOf("jsjtyxt.com") != -1) {
        return "http://task_yanhai.jsxt.jsjtyxt.com/";
    } else if (base_ui_url.indexOf("localhost") != -1) {
        // return "http://10.112.0.199:8099/"
        return "http://localhost:8099/"
    } else if (base_ui_url.indexOf("192.168.8.236") != -1) {
        return "http://192.168.8.236:8099/"
    } else {
        return "http://10.112.0.199:8099/"
    }
}